locale_facets.h File Reference

Go to the source code of this file.

## Classes

class | std::__ctype_abstract_base< _CharT >
class | std::ctype< _CharT >
class | std::ctype< char >
class | std::ctype< wchar_t >
class | std::ctype_byname< _CharT >
class | std::ctype_byname< char >
class | std::num_get< _CharT, _InIter >
class | std::num_put< _CharT, _OutIter >
class | std::numpunct< _CharT >
class | std::numpunct_byname< _CharT >

## Namespaces

| std

## Macros

#define | _GLIBCXX_NUM_FACETS

## Functions

template<typename _CharT >
_CharT * | std::__add_grouping (_CharT *__s, _CharT __sep, const char *__gbeg, size_t __gsize, const _CharT *__first, const _CharT *__last)
template<typename _Tp >
void | std::__convert_to_v (const char *, _Tp &, ios_base::iostate &, const __c_locale &) throw ()
template<>
void | std::__convert_to_v (const char *, float &, ios_base::iostate &, const __c_locale &) throw ()
template<>
void | std::__convert_to_v (const char *, double &, ios_base::iostate &, const __c_locale &) throw ()
template<>
void | std::__convert_to_v (const char *, long double &, ios_base::iostate &, const __c_locale &) throw ()
template<typename _CharT >
ostreambuf_iterator< _CharT > | std::__write (ostreambuf_iterator< _CharT > __s, const _CharT *__ws, int __len)
template<typename _CharT , typename _OutIter >
_OutIter | std::__write (_OutIter __s, const _CharT *__ws, int __len)
template<typename _CharT >
bool | std::isalnum (_CharT __c, const locale &__loc)
template<typename _CharT >
bool | std::isalpha (_CharT __c, const locale &__loc)
template<typename _CharT >
bool | std::iscntrl (_CharT __c, const locale &__loc)
template<typename _CharT >
bool | std::isdigit (_CharT __c, const locale &__loc)
template<typename _CharT >
bool | std::isgraph (_CharT __c, const locale &__loc)
template<typename _CharT >
bool | std::islower (_CharT __c, const locale &__loc)
template<typename _CharT >
bool | std::isprint (_CharT __c, const locale &__loc)
template<typename _CharT >
bool | std::ispunct (_CharT __c, const locale &__loc)
template<typename _CharT >
bool | std::isspace (_CharT __c, const locale &__loc)
template<typename _CharT >
bool | std::isupper (_CharT __c, const locale &__loc)
template<typename _CharT >
bool | std::isxdigit (_CharT __c, const locale &__loc)
template<typename _CharT >
_CharT | std::tolower (_CharT __c, const locale &__loc)
template<typename _CharT >
_CharT | std::toupper (_CharT __c, const locale &__loc)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <locale>.

Definition in file locale_facets.h.